%global _privatelibs libitem[\.]+so[.]+
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$
%define aname CopyQ

Name:           copyq
Version:        10.0.0
Release:        %mkrel 2
Summary:        An advanced clipboard manager
License:        GPLv3
Group:          Text tools
URL:            https://github.com/hluk/CopyQ
Source0:        https://github.com/hluk/CopyQ/releases/download/v%{version}/%{aname}-%{version}.tar.gz
BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6Help)
BuildRequires:  pkgconfig(Qt6Xml)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Qml)
BuildRequires:  pkgconfig(Qt6WaylandClient)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xtst)

%description
CopyQ is advanced clipboard manager with searchable and editable history
with support for image formats, command line control and more.

%prep
%autosetup -p1 -n Copyq-%{version}

%build
%cmake_qt6 \
    -DPLUGIN_INSTALL_PREFIX=%{_libdir}/%{name}/plugins \
    -DWITH_QT6=ON
%cmake_build

%install
%cmake_install

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/copyq_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS CHANGES.md HACKING README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.github.hluk.%{name}.desktop
%{_datadir}/bash-completion/completions/copyq
%{_metainfodir}/com.github.hluk.%{name}.appdata.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/themes/
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 10.0.0-2.mga10
+ Revision: 2251009
- Mageia 10 Mass Rebuild

* Mon Apr 07 2025 daviddavid <daviddavid> 10.0.0-1.mga10
+ Revision: 2174167
- new version: 10.0.0

* Thu Nov 21 2024 daviddavid <daviddavid> 9.1.0-1.mga10
+ Revision: 2117981
- new version: 9.1.0

* Mon Jun 24 2024 daviddavid <daviddavid> 9.0.0-1.mga10
+ Revision: 2076320
- new version: 9.0.0

* Sun Sep 03 2023 kekepower <kekepower> 7.1.0-1.mga10
+ Revision: 1983821
- Update to version 7.1.0
- Build with Qt6

* Thu Mar 23 2023 daviddavid <daviddavid> 6.3.2-2.mga9
+ Revision: 1950167
- drop no more needed by the project Qt5WebKit build dependency

* Sun Jan 01 2023 daviddavid <daviddavid> 6.3.2-1.mga9
+ Revision: 1928544
- new version: 6.3.2

* Tue Sep 27 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1892714
- New version 6.3.0

* Tue Apr 05 2022 umeabot <umeabot> 4.1.0-2.mga9
+ Revision: 1845104
- Mageia 9 Mass Rebuild

* Mon Apr 26 2021 daviddavid <daviddavid> 4.1.0-1.mga9
+ Revision: 1719831
- new version: 4.1.0

* Mon Apr 12 2021 daviddavid <daviddavid> 4.0.0-1.mga9
+ Revision: 1714930
- new version: 4.0.0

* Wed Dec 16 2020 umeabot <umeabot> 3.13.0-2.mga8
+ Revision: 1658275
- Rebuild for new Qt5

* Thu Oct 22 2020 daviddavid <daviddavid> 3.13.0-1.mga8
+ Revision: 1638126
- new version: 3.13.0

* Mon Aug 31 2020 daviddavid <daviddavid> 3.12.0-1.mga8
+ Revision: 1620336
- new version: 3.12.0
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat May 09 2020 daviddavid <daviddavid> 3.11.1-1.mga8
+ Revision: 1581896
- new version: 3.11.1

* Thu Feb 20 2020 umeabot <umeabot> 3.10.0-2.mga8
+ Revision: 1546514
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 3.10.0-1.mga8
+ Revision: 1486679
- new version: 3.10.0
+ wally <wally>
- build with new cmake macros

* Sun Nov 17 2019 daviddavid <daviddavid> 3.9.3-1.mga8
+ Revision: 1461368
- new version: 3.9.3

* Sun Aug 25 2019 daviddavid <daviddavid> 3.9.2-1.mga8
+ Revision: 1431945
- new version: 3.9.2

* Tue Jul 02 2019 daviddavid <daviddavid> 3.9.0-1.mga8
+ Revision: 1417796
- new version: 3.9.0

* Wed Apr 10 2019 daviddavid <daviddavid> 3.8.0-1.mga7
+ Revision: 1388148
- new version: 3.8.0

* Sat Mar 30 2019 umeabot <umeabot> 3.7.3-3.mga7
+ Revision: 1381480
- Qt5 Rebuild

* Mon Feb 04 2019 daviddavid <daviddavid> 3.7.3-2.mga7
+ Revision: 1363130
- patch for missing tray icon

* Sun Feb 03 2019 daviddavid <daviddavid> 3.7.3-1.mga7
+ Revision: 1362918
- new version: 3.7.3

* Mon Dec 31 2018 daviddavid <daviddavid> 3.7.2-1.mga7
+ Revision: 1347612
- new version: 3.7.2

* Sun Nov 18 2018 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1331170
- new version: 3.7.1

* Sun Nov 04 2018 daviddavid <daviddavid> 3.7.0-1.mga7
+ Revision: 1328154
- new version: 3.7.0

* Tue Sep 25 2018 daviddavid <daviddavid> 3.6.1-1.mga7
+ Revision: 1305144
- new version: 3.6.1

* Sun Sep 23 2018 daviddavid <daviddavid> 3.6.0-1.mga7
+ Revision: 1302141
- new version: 3.6.0

* Sun Sep 23 2018 umeabot <umeabot> 3.5.0-2.mga7
+ Revision: 1296797
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1237542
- new version: 3.5.0
- remove merged upstream patch

* Sat Jun 02 2018 daviddavid <daviddavid> 3.4.0-2.mga7
+ Revision: 1233761
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Mon May 14 2018 daviddavid <daviddavid> 3.4.0-1.mga7
+ Revision: 1229632
- new version: 3.4.0

* Mon Apr 23 2018 daviddavid <daviddavid> 3.3.1-1.mga7
+ Revision: 1221378
- new version: 3.3.1

* Sun Mar 18 2018 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1210216
- new version: 3.3.0

* Wed Mar 14 2018 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1209340
- new version: 3.2.0

* Sat Feb 17 2018 daviddavid <daviddavid> 3.1.2-1.mga7
+ Revision: 1202035
- new version: 3.1.2
- fix plugins libdir install path
- fix owner of data dir
- update URL

* Tue May 10 2016 dglent <dglent> 2.7.0-1.mga6
+ Revision: 1012178
- Version 2.7.0

* Sun Feb 14 2016 umeabot <umeabot> 2.5.0-2.mga6
+ Revision: 959823
- Mageia 6 Mass Rebuild

* Sun Dec 20 2015 dglent <dglent> 2.5.0-1.mga6
+ Revision: 912492
-Version 2.5.0

* Mon Aug 31 2015 dglent <dglent> 2.4.9-1.mga6
+ Revision: 871436
- Version 2.4.9

* Thu Jun 25 2015 dglent <dglent> 2.4.7-1.mga6
+ Revision: 842801
- Version 2.4.7
  Qt5 build

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 750150
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 693685
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-2.mga5
+ Revision: 678540
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 dglent <dglent> 2.4.0-1.mga5
+ Revision: 665171
- New version 2.4.0

* Thu Jun 26 2014 dglent <dglent> 2.3.0-1.mga5
+ Revision: 639849
- imported package copyq

